# Tax Configurations Tax Configurations ## Returns a tax configuration from the system by its ID. - [DELETE /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/deletetaxconfiguration.md): This method will delete a tax configuration with the specified ID. ## Returns a tax configuration from the system by its ID. - [GET /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/gettaxconfiguration.md): This method will look up a tax configuration by the specified ID and return it back. ## Partially updates a tax configuration with the specified ID. - [PATCH /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/patchtaxconfiguration.md): This method will patch an existing tax configuration with the specified ID, using the HTTP PATCH specification. ## Creates a new tax configuration record that does not already exist. - [POST /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/createtaxconfiguration.md): This method will auto-generate an ID and create a new tax configuration. If an ID is specified for the tax configuration, an error will be thrown. ## Updates a tax configuration with the specified ID. - [PUT /taxConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-configurations/updatetaxconfiguration.md): This method will update an existing tax configuration with the specified ID.